base_url = "https://api.tfl.gov.uk"
endpoints = {
    'StopPoint_MetaCategories': {'uri': '/StopPoint/Meta/Categories', 'model': 'PlaceCategoryArray'},
    'Forward_Proxy': {'uri': '/StopPoint/*', 'model': 'GenericResponseModel'},
    'StopPoint_MetaStopTypes': {'uri': '/StopPoint/Meta/StopTypes', 'model': 'GenericResponseModel'},
    'StopPoint_MetaModes': {'uri': '/StopPoint/Meta/Modes', 'model': 'ModeArray'},
    'StopPoint_GetByPathIdsQueryIncludeCrowdingData': {'uri': '/StopPoint/{0}', 'model': 'StopPointArray'},
    'StopPoint_GetByPathIdQueryPlaceTypes': {'uri': '/StopPoint/{0}/placeTypes', 'model': 'PlaceArray'},
    'StopPoint_CrowdingByPathIdPathLineQueryDirection': {'uri': '/StopPoint/{0}/Crowding/{1}', 'model': 'StopPointArray'},
    'StopPoint_GetByTypeByPathTypes': {'uri': '/StopPoint/Type/{0}', 'model': 'StopPointArray'},
    'StopPoint_GetByTypeWithPaginationByPathTypesPathPage': {'uri': '/StopPoint/Type/{0}/page/{1}', 'model': 'StopPointArray'},
    'StopPoint_GetServiceTypesByQueryIdQueryLineIdsQueryModes': {'uri': '/StopPoint/ServiceTypes', 'model': 'LineServiceTypeArray'},
    'StopPoint_ArrivalsByPathId': {'uri': '/StopPoint/{0}/Arrivals', 'model': 'PredictionArray'},
    'StopPoint_ArrivalDeparturesByPathIdQueryLineIds': {'uri': '/StopPoint/{0}/ArrivalDepartures', 'model': 'ArrivalDepartureArray'},
    'StopPoint_ReachableFromByPathIdPathLineIdQueryServiceTypes': {'uri': '/StopPoint/{0}/CanReachOnLine/{1}', 'model': 'StopPointArray'},
    'StopPoint_RouteByPathIdQueryServiceTypes': {'uri': '/StopPoint/{0}/Route', 'model': 'StopPointRouteSectionArray'},
    'StopPoint_DisruptionByModeByPathModesQueryIncludeRouteBlockedStops': {'uri': '/StopPoint/Mode/{0}/Disruption', 'model': 'DisruptedPointArray'},
    'StopPoint_DisruptionByPathIdsQueryGetFamilyQueryIncludeRouteBlockedStopsQuer': {'uri': '/StopPoint/{0}/Disruption', 'model': 'DisruptedPointArray'},
    'StopPoint_DirectionByPathIdPathToStopPointIdQueryLineId': {'uri': '/StopPoint/{0}/DirectionTo/{1}', 'model': 'GenericResponseModel'},
    'StopPoint_GetByGeoPointByQueryLatQueryLonQueryStopTypesQueryRadiusQueryUseSt': {'uri': '/StopPoint/', 'model': 'StopPointsResponse'},
    'StopPoint_GetByModeByPathModesQueryPage': {'uri': '/StopPoint/Mode/{0}', 'model': 'StopPointsResponse'},
    'StopPoint_SearchByPathQueryQueryModesQueryFaresOnlyQueryMaxResultsQueryLines': {'uri': '/StopPoint/Search/{0}', 'model': 'SearchResponse'},
    'StopPoint_SearchByQueryQueryQueryModesQueryFaresOnlyQueryMaxResultsQueryLine': {'uri': '/StopPoint/Search', 'model': 'SearchResponse'},
    'StopPoint_GetBySmsByPathIdQueryOutput': {'uri': '/StopPoint/Sms/{0}', 'model': 'Object'},
    'StopPoint_GetTaxiRanksByIdsByPathStopPointId': {'uri': '/StopPoint/{0}/TaxiRanks', 'model': 'PlaceArray'},
    'StopPoint_GetCarParksByIdByPathStopPointId': {'uri': '/StopPoint/{0}/CarParks', 'model': 'PlaceArray'},
}
